# The environment class

This page documents the `SWEEnv` class, which provides the environment for the agent to interact with.
To learn about the configuration objects used to specify the behavior of the environment,
see the [environment configuration reference page](env_config.md).

::: sweagent.environment.swe_env.SWEEnv
    options:
      allow_inspection: false